API Guide Home (Online version only) |

# NetServicesProfileV1 Struct Reference

## Detailed Description

Profile entries version 1.

Definition at line 137 of file PalmNetServices.h.

## Data Fields

- Char profileName [32]
- UInt8 SSID [32]
- UInt32 ssidLength
- UInt16 ipAllocType
- UInt16 preambleType
- UInt16 keyIndex
- UInt16 authentication
- UInt32 opMode
- UInt32 channel
- UInt32 reqIP
- UInt32 ipMask
- UInt32 ipGateway
- UInt32 ipPrimaryDNS
- UInt32 ipSecondaryDNS
- UInt8 wep [4][16]
- UInt8 dhcpRequestDNS

## Field Documentation

Char profileName[32]

ASCII string - profile reference.

Definition at line 139 of file PalmNetServices.h.

UInt8 SSID[32]

SSID associated with this profile.

Definition at line 140 of file PalmNetServices.h.

UInt32 ssidLength

Length of bytes of the SSID.

Definition at line 141 of file PalmNetServices.h.

UInt16 ipAllocType

DHCP/STATIC/IPIPA.

Definition at line 142 of file PalmNetServices.h.

UInt16 preambleType

Long or short preamble.

Definition at line 143 of file PalmNetServices.h.

UInt16 keyIndex

WEP key index. Only valid if wep active.

Definition at line 144 of file PalmNetServices.h.

UInt16 authentication

OPEN / 64 bit / 128 bit.

Definition at line 145 of file PalmNetServices.h.

UInt32 opMode

BSS, IBSS.

Definition at line 146 of file PalmNetServices.h.

UInt32 channel

DS Channel. Only used for ad-hoc.

Definition at line 147 of file PalmNetServices.h.

UInt32 reqIP

Static IP address.

Definition at line 148 of file PalmNetServices.h.

UInt32 ipMask

IP mask.

Definition at line 149 of file PalmNetServices.h.

UInt32 ipGateway

IP gateway.

Definition at line 150 of file PalmNetServices.h.

UInt32 ipPrimaryDNS

IP primary DNS.

Definition at line 151 of file PalmNetServices.h.

UInt32 ipSecondaryDNS

IP secondary DNS.

Definition at line 152 of file PalmNetServices.h.

UInt8 wep[4][16]

WEP keys. Up to 5 keys.

Definition at line 153 of file PalmNetServices.h.

UInt8 dhcpRequestDNS

0 = DNS info static, 1 = DNS from DHCP.

Definition at line 154 of file PalmNetServices.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:15 2008 for Palm API Guide